2017-01-21 08:31 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002224OpenFOAMPatchpublic2016-09-03 21:15
ReporterSebastian Fink 
Assigned Tohenry 
PrioritylowSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version16.04
Product Version4.0 
Target VersionFixed in Version4.x 
Summary0002224: tutorial DTCHull, wrong setup dynamicMeshDict/rigidBodyMotion/restraints
Descriptioncorrect setup dynamicMeshDict



dynamicFvMesh dynamicMotionSolverFvMesh;

motionSolverLibs ("librigidBodyMeshMotion.so");

solver rigidBodyMotion;

rigidBodyMotionCoeffs
{
    report on;

    solver
    {
        type Newmark;
    }

    accelerationRelaxation 0.4;

    bodies
    {
        hull
        {
            type rigidBody;
            parent root;

            centreOfMass (0 0 0);
            mass 412.73;
            inertia (40 0 0 921 0 921);
            transform (1 0 0 0 1 0 0 0 1) (2.929541 0 0.2);

            joint
            {
                type composite;
                joints
                (
                    {
                        type Pz;
                    }
                    {
                        type Ry;
                    }
                );
            }
            
            patches (hull);
            innerDistance 0.3;
            outerDistance 1;
            
        }
    }
    
    restraints
    {
        translationDamper
        {
            type linearDamper;
            body hull;
            coeff 8596;
        }

        rotationDamper
        {
            type sphericalAngularDamper;
            body hull;
            coeff 11586;
        }
    }
}


TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0006812

henry (manager)

Thanks for picking this up, the restraint specification corresponded to an earlier implementation.

Resolved in OpenFOAM-dev by commit a7df748094cda77d72820479f4a7a1f10d4ca965
Resolved in OpenFOAM-4.x by commit 1b195fb9d786caad76e52231fd729325be8dff21
+Notes

-Issue History
Date Modified Username Field Change
2016-08-31 14:18 Sebastian Fink New Issue
2016-09-03 21:15 henry Note Added: 0006812
2016-09-03 21:15 henry Status new => resolved
2016-09-03 21:15 henry Fixed in Version => 4.x
2016-09-03 21:15 henry Resolution open => fixed
2016-09-03 21:15 henry Assigned To => henry
+Issue History